AdminLTE-ASP.NET-MVC-master/AdminLTE-ASP.NET-MVC/Controllers/ViewGrantApplicationController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using WebApplication.Models;

namespace WebApplication.Controllers
{
    public class ViewGrantApplicationController : Controller
    {
        private GrantsManagementDBEntities db = new GrantsManagementDBEntities();

        // GET: ViewGrantApplication
        public ActionResult Index()
        {
            return View(db.GrantApplications.ToList());
        }

        // GET: ViewGrantApplication/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            GrantApplication grantApplication = db.GrantApplications.Find(id);
            if (grantApplication == null)
            {
                return HttpNotFound();
            }
            return View(grantApplication);
        }

        // GET: ViewGrantApplication/Create
        public ActionResult Create()
        {
            return View();
        }

        // POST: ViewGrantApplication/Create
        // To protect from overposting attacks, enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "Id,GrantScheduleType,GrantType,GrantName,GrantPurpose,ApplicationRefNo,ApplicationSubmissionDate,ApplicationStatus,ReceivingOfficer,ReceivingDepartment,ReceivedDate,EmaillAddress,GrantorOfficer,Grantor,GrantorEmailAddress,GrantAmount,RejectionReason,AdditionalDescription,ReasonsForNonExpenditure,DateCreated,IsActive,IsDeleted")] GrantApplication grantApplication)
        {
            if (ModelState.IsValid)
            {
                db.GrantApplications.Add(grantApplication);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(grantApplication);
        }

        // GET: ViewGrantApplication/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            GrantApplication grantApplication = db.GrantApplications.Find(id);
            if (grantApplication == null)
            {
                return HttpNotFound();
            }
            return View(grantApplication);
        }

        // POST: ViewGrantApplication/Edit/5
        // To protect from overposting attacks, enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "Id,GrantScheduleType,GrantType,GrantName,GrantPurpose,ApplicationRefNo,ApplicationSubmissionDate,ApplicationStatus,ReceivingOfficer,ReceivingDepartment,ReceivedDate,EmaillAddress,GrantorOfficer,Grantor,GrantorEmailAddress,GrantAmount,RejectionReason,AdditionalDescription,ReasonsForNonExpenditure,DateCreated,IsActive,IsDeleted")] GrantApplication grantApplication)
        {
            if (ModelState.IsValid)
            {
                db.Entry(grantApplication).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(grantApplication);
        }

        // GET: ViewGrantApplication/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            GrantApplication grantApplication = db.GrantApplications.Find(id);
            if (grantApplication == null)
            {
                return HttpNotFound();
            }
            return View(grantApplication);
        }

        // POST: ViewGrantApplication/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            GrantApplication grantApplication = db.GrantApplications.Find(id);
            db.GrantApplications.Remove(grantApplication);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

AdminLTE-ASP.NET-MVC-master/AdminLTE-ASP.NET-MVC/Views/ViewGrantApplication/Delete.cshtml
@model WebApplication.Models.GrantApplication

@{
    ViewBag.Title = "Delete";
}

<h2>Delete</h2>

<h3>Are you sure you want to delete this?</h3>
<div>
    <h4>GrantApplication</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.GrantScheduleType)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.GrantScheduleType)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.GrantType)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.GrantType)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.GrantName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.GrantName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.GrantPurpose)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.GrantPurpose)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ApplicationRefNo)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ApplicationRefNo)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ApplicationSubmissionDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ApplicationSubmissionDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ApplicationStatus)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ApplicationStatus)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ReceivingOfficer)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ReceivingOfficer)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ReceivingDepartment)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ReceivingDepartment)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ReceivedDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ReceivedDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.EmaillAddress)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.EmaillAddress)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.GrantorOfficer)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.GrantorOfficer)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Grantor)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Grantor)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.GrantorEmailAddress)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.GrantorEmailAddress)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.GrantAmount)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.GrantAmount)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.RejectionReason)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.RejectionReason)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.AdditionalDescription)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.AdditionalDescription)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ReasonsForNonExpenditure)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ReasonsForNonExpenditure)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.DateCreated)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.DateCreated)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.IsActive)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.IsActive)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.IsDeleted)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.IsDeleted)
        </dd>

    </dl>

    @using (Html.BeginForm()) {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="Delete" class="btn btn-default" /> |
            @Html.ActionLink("Back to List", "Index")
        </div>
    }
</div>

AdminLTE-ASP.NET-MVC-master/AdminLTE-ASP.NET-MVC/Views/ViewGrantApplication/Details.cshtml
@model WebApplication.Models.GrantApplication

@{
    ViewBag.Title = "View Grant Application";
}


@*@section Menu {

        @Scripts.Render("~/Scripts/Forms/Advanced/menu")
    }*@

@Styles.Render("~/AdminLTE/plugins/daterangepicker/css")
@Styles.Render("~/AdminLTE/plugins/icheck/css")
@Styles.Render("~/AdminLTE/plugins/colorpicker/css")
@Styles.Render("~/AdminLTE/plugins/timepicker/css")
@Styles.Render("~/AdminLTE/plugins/select2/css")
@Styles.Render("~/AdminLTE/dist/css")
@Styles.Render("~/AdminLTE/dist/css/skins")

<div class="box box-default">

    @using (Html.BeginForm("Index", "ViewGrantApplication", FormMethod.Post, new { @class = "form-horizontal" }))
    {
        @Html.AntiForgeryToken()

        <div class="row">

            <div class="col-md-6">

                @Html.HiddenFor(model => model.Id)
                <div class="box-header with-border">
                    <h3 class="box-title">Application Header Details</h3>
                </div>

                <div class="box-body">

                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Grant Schedule Type</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.GrantScheduleType, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })

                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Grant Type</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.GrantType, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })

                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Grant Name</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.GrantName, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Grant Purpose</label>
                        <div class="col-sm-8">
                            <textarea class="form-control" name="GrantPurpose" rows="3" readonly placeholder="">@Model.GrantPurpose</textarea>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Application Ref No</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.ApplicationRefNo, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Application Status</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.ApplicationStatus, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly", @Id = "ApplicationId" } })
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Application Submission Date</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.ApplicationSubmissionDate, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
            
                    <div class="form-group" id="ApproveReject">
                        <label for="AdditionalDescription" class="col-sm-4 control-label">Rejection Reason</label>
                        <div class="col-sm-8">
                            <textarea class="form-control" name="RejectionReason" id="RejectionReason" readonly rows="3" placeholder="Enter ...">@Model.RejectionReason</textarea>
                        </div>
                    </div>
                </div>
                <div class="box-footer">
                    @*<div>
                            @Html.ActionLink("Back to List", "Index")
                        </div>*@
                </div>



            </div>
            <div class="col-md-6">

                <br />
                <div class="box-header with-border">

                </div>

                <div class="box-body">
                    <div class="form-group">
                        <label for="ReceivingOfficer" class="col-sm-4 control-label">Receiving Officer</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.ReceivingOfficer, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="ReceivingDepartment" class="col-sm-4 control-label">Receiving Department</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.ReceivingDepartment, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })

                        </div>
                    </div>
                    <div class="form-group">
                        <label for="ReceivedDate" class="col-sm-4 control-label">Received Date</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.ReceivedDate, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="EmaillAddress" class="col-sm-4 control-label">Email Address</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.EmaillAddress, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="GrantorOfficer" class="col-sm-4 control-label">Grantor Officer</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.GrantorOfficer, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="Grantor" class="col-sm-4 control-label">Grantor</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.Grantor, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="GrantAmount" class="col-sm-4 control-label">Grant Amount</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.GrantAmount, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="AdditionalDescription" class="col-sm-4 control-label">Additional Description</label>
                        <div class="col-sm-8">
                            <textarea class="form-control" name="AdditionalDescription" rows="3" readonly placeholder="Enter ...">@Model.AdditionalDescription</textarea>
                        </div>
                    </div>


                </div>

                <div class="box-footer">
                    <button type="submit" class="btn btn-default pull-right" onclick="">
                        <i class="fa fa-remove"></i> Close
                    </button>
                    @*<button type="submit" class="btn btn-primary pull-right" style="margin-right: 5px;">
                            <i class="fa fa-download"></i> Save Application
                        </button>*@

                </div>


            </div>
        </div>
    }

</div>


@section Scripts {





    @Scripts.Render("~/AdminLTE/plugins/select2/js")
    @Scripts.Render("~/AdminLTE/plugins/input-mask/js")
    @Scripts.Render("~/AdminLTE/plugins/momentjs/js")
    @Scripts.Render("~/AdminLTE/plugins/daterangepicker/js")
    @Scripts.Render("~/AdminLTE/plugins/colorpicker/js")
    @Scripts.Render("~/AdminLTE/plugins/timepicker/js")
    @Scripts.Render("~/AdminLTE/plugins/icheck/js")
    @Scripts.Render("~/Scripts/Forms/Advanced")
}

AdminLTE-ASP.NET-MVC-master/AdminLTE-ASP.NET-MVC/Views/ViewGrantApplication/Edit.cshtml
@model WebApplication.Models.GrantApplication

@{
    ViewBag.Title = "View Grant Application";
}


@*@section Menu {

        @Scripts.Render("~/Scripts/Forms/Advanced/menu")
    }*@

@Styles.Render("~/AdminLTE/plugins/daterangepicker/css")
@Styles.Render("~/AdminLTE/plugins/icheck/css")
@Styles.Render("~/AdminLTE/plugins/colorpicker/css")
@Styles.Render("~/AdminLTE/plugins/timepicker/css")
@Styles.Render("~/AdminLTE/plugins/select2/css")
@Styles.Render("~/AdminLTE/dist/css")
@Styles.Render("~/AdminLTE/dist/css/skins")

<div class="box box-default">

    @using (Html.BeginForm("Edit", "ViewGrantApplication", FormMethod.Post, new { @class = "form-horizontal" }))
    {
        @Html.AntiForgeryToken()

        <div class="row">

            <div class="col-md-6">

                @Html.HiddenFor(model => model.Id)
                <div class="box-header with-border">
                    <h3 class="box-title">Application Header Details</h3>
                </div>

                <div class="box-body">

                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Grant Schedule Type</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.GrantScheduleType, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })

                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Grant Type</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.GrantType, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })

                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Grant Name</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.GrantName, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Grant Purpose</label>
                        <div class="col-sm-8">
                            <textarea class="form-control" name="GrantPurpose" rows="3" readonly placeholder="">@Model.GrantPurpose</textarea>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Application Ref No</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.ApplicationRefNo, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Application Status</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.ApplicationStatus, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly",@Id="ApplicationId" } })
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Application Submission Date</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.ApplicationSubmissionDate, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Grant Application</label>
                        <div class="col-sm-8">
                            <select class="form-control select2" style="width: 100%;" name="Status" id="Status" onchange="GetApplicationStatus()" required >
                                <option value="">-Select Status-</option>
                                <option value="Approve">Approve</option>
                                <option value="Reject">Reject</option>

                            </select>
                        </div>
                    </div>
                    <div class="form-group" id="ApproveReject">
                        <label for="AdditionalDescription" class="col-sm-4 control-label">Rejection Reason</label>
                        <div class="col-sm-8">
                            <textarea class="form-control" name="RejectionReason" id="RejectionReason" rows="3"  placeholder="Enter ..."></textarea>
                        </div>
                    </div>
                </div>
                <div class="box-footer">
                    @*<div>
                @Html.ActionLink("Back to List", "Index")
            </div>*@
                </div>



            </div>
            <div class="col-md-6">

                <br />
                <div class="box-header with-border">

                </div>

                <div class="box-body">
                    <div class="form-group">
                        <label for="ReceivingOfficer" class="col-sm-4 control-label">Receiving Officer</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.ReceivingOfficer, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="ReceivingDepartment" class="col-sm-4 control-label">Receiving Department</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.ReceivingDepartment, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })

                        </div>
                    </div>
                    <div class="form-group">
                        <label for="ReceivedDate" class="col-sm-4 control-label">Received Date</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.ReceivedDate, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="EmaillAddress" class="col-sm-4 control-label">Email Address</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.EmaillAddress, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="GrantorOfficer" class="col-sm-4 control-label">Grantor Officer</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.GrantorOfficer, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="Grantor" class="col-sm-4 control-label">Grantor</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.Grantor, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="GrantAmount" class="col-sm-4 control-label">Grant Amount</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.GrantAmount, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="AdditionalDescription" class="col-sm-4 control-label">Additional Description</label>
                        <div class="col-sm-8">
                            <textarea class="form-control" name="AdditionalDescription" rows="3" readonly placeholder="Enter ...">@Model.AdditionalDescription</textarea>
                        </div>
                    </div>


                </div>

                <div class="box-footer">
                    <button type="submit" class="btn btn-success pull-right">
                        <i class="fa fa-send"></i> Submit Application
                    </button>
                    @*<button type="submit" class="btn btn-primary pull-right" style="margin-right: 5px;">
                        <i class="fa fa-download"></i> Save Application
                    </button>*@

                </div>


            </div>
        </div>
    }

</div>


@section Scripts {





    @Scripts.Render("~/AdminLTE/plugins/select2/js")
    @Scripts.Render("~/AdminLTE/plugins/input-mask/js")
    @Scripts.Render("~/AdminLTE/plugins/momentjs/js")
    @Scripts.Render("~/AdminLTE/plugins/daterangepicker/js")
    @Scripts.Render("~/AdminLTE/plugins/colorpicker/js")
    @Scripts.Render("~/AdminLTE/plugins/timepicker/js")
    @Scripts.Render("~/AdminLTE/plugins/icheck/js")
    @Scripts.Render("~/Scripts/Forms/Advanced")
}

<script>
    function GetApplicationStatus() {

        var appStatus = document.getElementById("Status").value;
        if (appStatus == "Approve") {
            document.getElementById("ApplicationId").value = "Approved By Grantor";
            document.getElementById("RejectionReason").required = false;
            document.getElementById("ApproveReject").style.display = "none";

        }
        else {
            document.getElementById("ApplicationId").value = "Rejected By Grantor";
            document.getElementById("RejectionReason").required = true;
            document.getElementById("ApproveReject").style.display = "block";
        }

        alert(Section28);
    }
</script>